sessions module route (requires sessions:template:read)
POST
/v1/m/sessions/templates/{id}/apply
const url = 'https://example.com/v1/m/sessions/templates/example/apply';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"target":{"allowed_tools":["example"],"custom_instructions":"example","effort":"example","max_session_duration_minutes":1,"model":"example","permission_mode":"example","record_io":true,"transport":"example","workspace_ref":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/sessions/templates/example/apply \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "target": { "allowed_tools": [ "example" ], "custom_instructions": "example", "effort": "example", "max_session_duration_minutes": 1, "model": "example", "permission_mode": "example", "record_io": true, "transport": "example", "workspace_ref": "example" } }'Resolves one session template into the run parameters it would produce, without starting a run.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body
Section titled “Request Body ” Media type application/json
Any of:
object
target
Any of:
object
transport
null
null
Example generated
{ "target": { "allowed_tools": [ "example" ], "custom_instructions": "example", "effort": "example", "max_session_duration_minutes": 1, "model": "example", "permission_mode": "example", "record_io": true, "transport": "example", "workspace_ref": "example" }}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}